Bug 611271 - update request, current version udev script does not recognise all devices
update request, current version udev script does not recognise all devices
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: usb_modeswitch-data (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Huzaifa S. Sidhpurwala
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-04 11:55 EDT by Muayyad Alsadi
Modified: 2011-03-27 18:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-27 18:53:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Muayyad Alsadi 2010-07-04 11:55:44 EDT
Description of problem:
current version 20100621 udev script only support 11 devices out of about 121 devices supported by usb_modeswitch

Version-Release number of selected component (if applicable):
usb_modeswitch-data-20100621-1.fc13.noarch

How reproducible:
always

Steps to Reproduce:
perl -lwne 'if (/\QATTRS{idVendor}=="\E(\d+)\Q",ATTRS{idProduct}=="\E(\d+)"/) {print "$1:$2"}' /lib/udev/rules.d/40-usb_modeswitch.rules
0421:0610
0471:1210
0471:1237
1004:1000
1033:0035
1266:1000
1410:5010
1410:5020
1410:5030
1410:5031
1410:5041

ls /etc/usb_modeswitch.d/ | wc -l
121

Actual results:
few devices

Expected results:
more devices (about 121)

Additional info:
update is trivial
updated srpm can be found

http://www.ojuba.org/downloads/updates/testing/4/SRPMS/usb_modeswitch-data-20100623-1.oj4.src.rpm

the upstream developer said to me <<EOQ

You must have looked at an older version of the rules file. The 
devices are all there in version 20100623.

Of course I am using a script to generate the rules file, and yes, the 
idea is that no interaction is required and every configuration should 
have a corresponding entry in the rules file.

EOQ
Comment 1 Huzaifa S. Sidhpurwala 2010-08-12 01:25:13 EDT
usb-modeswitch-data-20100707 which is the latest also does not seem to have the fix.
The correct way of resolving this is to contact upstream. let me do that :)
Comment 2 Josua Dietze 2010-08-12 19:56:55 EDT
Did anyone bother to really LOOK at the original package?
http://www.draisberghof.de/usb_modeswitch/usb-modeswitch-data-20100707.tar.bz2

The file "40-usb_modeswitch.rules" has 14256 Bytes and 398 lines. Remove everything except the device lines and you have 369 lines. Including comment and empty line, each entry takes three lines. Divide 369 by 3 and you get 123 devices.

I suggest you check that perl script of yours. If I run it I get ZERO output.
Comment 3 Josua Dietze 2010-08-13 07:17:08 EDT
I should have seen that at once: the regular expression in the perl line above manages to exclude all values with non-decimal digits, in effect ignoring the hexidecimal digits a-f.

I think you REALLY can close this "bug".

Josua Dietze
Author of usb_modeswitch

Note You need to log in before you can comment on or make changes to this bug.